<?php

namespace common\logic\Payment\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Order\Order\Model\Order;
use common\logic\Payment\Service\PaymentDefinition;

class PaymentRepositoryQuery extends AbstractRepositoryQuery
{
    protected PaymentDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(PaymentDefinition::class);
    }

    public function filterByOrder(Order $order): self
    {
        $this->andWhere(['id_order' => $order->id]);
        return $this;
    }
}